<template>
    <el-container style="height: 100%">
        <el-header>
            <commonheader></commonheader>
        </el-header>
        <el-container>
            <el-aside width="auto">
                <commonaside></commonaside>
            </el-aside>
            <el-main>
                <!--左侧栏 和 header部分对于整个后台部分都是不变的，唯一变的就是上面3的部分，这里就通过router-view来展示所需控件-->
                <el-carousel :interval="4000" height="250px" type="card" width="500px">
                    <el-carousel-item v-for="i in 3" :key="i">
                        <div v-if="i === 1"><img src="../assets/item3.jpeg" style="width:100%;height:inherit"/></div>
                        <div v-if="i === 2"><img src="../assets/item2.jpeg" style="width:100%;height:inherit"/></div>
                        <div v-if="i === 3"><img src="../assets/infocard.png" style="width:100%;height:inherit"/></div>
                    </el-carousel-item>
                </el-carousel>
                <el-row type="flex" justify="space-around">
                  <el-col :span="3"></el-col>
                  <el-col :span="4">
                    <el-card style="min-height:200px">
                        <div slot="header" class="clearfix">
                            <span>餐饮</span>
                        </div>
                        <div class="text item">
                            浏览食品商家与其餐品
                        </div>
                        <el-button @click="toFood" style="float: right;bottom:-1%" type="text">前往</el-button>
                    </el-card>
                  </el-col>
                  <el-col :span="4">
                    <el-card style="min-height:200px">
                        <div slot="header" class="clearfix">
                            <span style="left:40%">运动</span>
                        </div>
                        <div class="text item">
                            浏览健身商家与其服务
                        </div>
                        <el-button @click="toSport" style="float: right;bottom:-1%" type="text">前往</el-button>
                    </el-card>
                  </el-col>
                  <el-col :span="4">
                    <el-card style="min-height:200px">
                        <div slot="header" class="clearfix">
                            <span>订单</span>
                        </div>
                        <div class="text item">
                            浏览订单信息
                        </div>
                        <el-button @click="toOrder" style="float: right;bottom:-1%" type="text">前往</el-button>
                    </el-card>
                  </el-col>
                  <el-col :span="4">
                    <el-card style="min-height:200px">
                        <div slot="header" class="clearfix">
                            <span>设置</span>
                        </div>
                        <div class="text item">
                            设置个人信息
                        </div>
                        <el-button @click="toSetting" style="float: right;bottom:-1%" type="text">前往</el-button>
                    </el-card>
                  </el-col>
                  <el-col :span="3"></el-col>
              </el-row>
              <br><br>
              <div style="width:5%;height:1%;position:relative;left:48%;right:45%;bottom:1%;">
                <el-button type="text" @click="toAbout">About</el-button>
              </div>
            </el-main>
        </el-container>
    </el-container>
</template>

<script>
import commonaside from '../components/commonaside.vue'
import commonheader from '../components/commonheader.vue'
export default {
  components: {
    commonaside,
    commonheader
  },
  methods: {
    toAbout: function () {
      window.open('https://gitlab.com/tj-cs-swe/cs10102302-2022/pdlcertainlyunique/calorie')
    },
    toFood: function () {
      this.$router.push('/browsefood')
    },
    toSport: function () {
      this.$router.push('/browseworkout')
    },
    toOrder: function () {
      this.$router.push('/UserFoodOrderManage')
    },
    toSetting: function () {
      this.$router.push('/showviewinfo')
    }
  }
}
</script>

<style scoped>
.el-header {
    background-color: #333;
}
.el-main {
    padding-top: 0;
}
.clearfix:before,
.clearfix:after {
display: table;
content: "";
}
.clearfix:after {
clear: both
}
.text {
font-size: 14px;
}

.item {
margin-bottom: 50%;
}
.el-row {
    margin-bottom: 20px;
    display:flex;
    flex-wrap: wrap;
  }
.el-row  .el-card {
    min-width: 100%;
    height: 100%;
    margin-right: 20px;
    transition: all .5s;
  }

</style>
